## ptable 1.0.0

=== DESCRIPTION ===
Type: Package
Package: ptable
Title: Generation of Perturbation Tables for the Cell-Key Method
Version: 1.0.0
Authors@R: 
    person("Tobias", "Enderle", email = "tobias.enderle@destatis.de", 
      role = c("aut", "cre"))
Maintainer: Tobias Enderle <tobias.enderle@destatis.de>
Description: Tabular data from statistical institutes and agencies are mostly 
    confidential and must be protected prior to publications. The cell-key 
    method is a post-tabular Statistical Disclosure Control perturbation 
    technique that adds random noise to tabular data. The statistical 
    properties of the perturbations are defined by some noise probability 
    distributions - also referred to as perturbation tables. 
    This tool can be used to create the perturbation tables based on a maximum 
    entropy approach as described for example in Giessing (2016) 
    <doi:10.1007/978-3-319-45381-1_18>. The perturbation tables created can 
    finally be used to apply a cell-key method to frequency count or magnitude 
    tables.
License: EUPL
URL: https://github.com/sdcTools/ptable
BugReports: https://github.com/sdcTools/ptable/issues
Depends: R(>= 3.6)
Imports: data.table, flexdashboard, ggplot2, methods, nloptr,
        RColorBrewer, rlang, rmarkdown
Suggests: knitr, testthat (>= 3.0.0)
VignetteBuilder: knitr
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
NeedsCompilation: no
RoxygenNote: 7.2.3
Packaged: 2023-03-01 15:46:41 UTC; enderle
Author: Tobias Enderle [aut, cre]
Repository: CRAN
Date/Publication: 2023-03-01 20:10:09 UTC

## ptable 0.9.2

=== debian/changelog ===
ptable (0.9.2-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * Drop Python 2 support (Closes: #937332).
  * Use pybuild to build package.
  * Bump debhelper compat level to 12.

 -- Ondřej Nový <onovy@debian.org>  Wed, 25 Sep 2019 10:05:57 +0200

ptable (0.9.2-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * debian/watch
    - upse PyPI redirector

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * Convert git repository from git-dpm to gbp layout

  [ Scott Kitterman ]
  * Rename to ptable to match upstream fork
  * Update package to build python/python3-ptable which provide and conflict
    with python/pyton3-prettytable
    - This will allow both to co-exist in the archive for Buster so that there
      is time for rdepends to be ported
    - Ptable does provide the same API as prettytable (ptable 0.9.2 passes all
      prettytable 0.7.2 tests)
  * New upstream release from ptable
  * Update debian/copyright
  * Bump standards-version to 4.3.0 without further change
  * Add prettytable tests from 0.7.2 so we can test compatibility
  * Add autopkgtest

 -- Scott Kitterman <scott@kitterman.com>  Mon, 21 Jan 2019 03:24:12 -0500

prettytable (0.7.2-3) unstable; urgency=medium

  * debian/control
    - switch me to Maintainer (team to Uploaders)
    - bump Standards-Version to 3.9.5 (no changes needed)
  * debian/{control, rules}
    - switch to dh_python2
  * debian/copyright
    - extend packaging copyright years
  * debian/{compat, control}
    - bump to DH compat 9

 -- Sandro Tosi <morph@debian.org>  Tue, 13 May 2014 19:44:26 +0200

prettytable (0.7.2-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Sandro Tosi ]
  * debian/control
    - bump Standards-Version to 3.9.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 29 Sep 2013 15:31:36 +0200

prettytable (0.7.2-1) experimental; urgency=low

  * New upstream release
  * debian/copyright
    - update upstream copyright information
    - extend packaging copyright years
  * debian/{control, rules}
    - install and use UTF-8 charset, needed by test suite

 -- Sandro Tosi <morph@debian.org>  Sun, 07 Apr 2013 23:23:17 +0200

prettytable (0.6.1-1) unstable; urgency=low

  * New upstream release
  * debian/prettytable-example.py
    - update for new 0.6 release
  * Run tests at build-time with "python setup.py test"
  * debian/rules
    - install README

 -- Sandro Tosi <morph@debian.org>  Wed, 06 Jun 2012 19:30:29 +0200

prettytable (0.6-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - remove python3 transformation commands, available upstream now
    - run tests at build time
  * debian/copyright
    - reorganize information
  * Ship unittest in debian/, no longer available in upstream tarball

 -- Sandro Tosi <morph@debian.org>  Sun, 06 May 2012 11:06:13 +0200

prettytable (0.5-2) unstable; urgency=low

  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)
  * Provide python3 package; thanks to James Page for initial patch;
    Closes: #638303
  * debian/source/format
    - use 3.0 (quilt) source format
  * debian/copyright
    - move to DEP5 format
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Tue, 01 May 2012 15:55:55 +0200

prettytable (0.5-1) unstable; urgency=low

  * Initial release (Closes: #530704)

 -- Sandro Tosi <morph@debian.org>  Wed, 27 May 2009 09:14:57 +0200

=== debian/control ===
Source: ptable
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper-compat (= 12), python3-all (>= 3.1.3-3), python3-setuptools, locales, dh-python
Standards-Version: 4.4.0
Homepage: https://github.com/kxxoling/PTable
Vcs-Git: https://salsa.debian.org/python-team/modules/ptable.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/ptable

Package: python3-ptable
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Provides: python3-prettytable
Conflicts: python3-prettytable
Description: library to represent tabular data in visually appealing ASCII tables (Python3)
 PrettyTable is a simple Python library designed to make it quick and
 easy to represent tabular data in visually appealing ASCII tables. It
 was inspired by the ASCII tables used in the PostgreSQL shell
 psql. PrettyTable allows for selection of which columns are to be
 printed, independent alignment of columns (left or right justified or
 centred) and printing of "sub-tables" by specifying a row range.
 .
 This is the PTable fork of prettytabke.  It has been updated and extended
 in a mostly backward compabitlbe way.  It is provided for packages that need
 features from the newer version.
 .
 This package contains the Python 3 version of prettytable.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# For running tests, we need UTF-8 charset
# See #604706 for references about this method
LOCALE_PATH	:= debian/tmpdir/usr/lib/locale
LOCALE_NAME	:= en_US
LOCALE_CHARSET	:= UTF-8

export PYBUILD_NAME=ptable

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/python-ptable/usr/bin
	rm -rf $(CURDIR)/debian/python3-ptable/usr/bin

override_dh_auto_clean:
	rm -rf $(LOCALE_PATH)
	dh_clean

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	# configure a local charset dir, for testing purposes
	mkdir -p $(LOCALE_PATH)
	localedef -i $(LOCALE_NAME) -c -f $(LOCALE_CHARSET) \
		-A /usr/share/locale/locale.alias --quiet \
		$(LOCALE_PATH)/$(LOCALE_NAME).$(LOCALE_CHARSET)
	LOCPATH=$(LOCALE_PATH) \
		LC_ALL=$(LOCALE_NAME).$(LOCALE_CHARSET) \
		PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="cd {build_dir} ; {interpreter} prettytable_test.py" \
		dh_auto_test
endif

override_dh_installdocs:
	dh_installdocs -A README.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/PTable/PTable-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
